ros-rolling-ros2service (0.40.2-1noble) noble; urgency=high

  * add verbose in service-info verb (#916 <https://github.com/ros2/ros2cli//issues/916>)
  * Contributors: Minju, Lee

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Nov 2025 23:00:00 -0000

ros-rolling-ros2service (0.40.1-1noble) noble; urgency=high

  * Fujitatomoya/clearup isolated ros2daemon (#1098 <https://github.com/ros2/ros2cli/issues/1098>)
  * Restore environment variables after launch tests (#1086 <https://github.com/ros2/ros2cli/issues/1086>)
  * Contributors: Scott K Logan, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 Sep 2025 22:00:00 -0000

ros-rolling-ros2service (0.40.0-1noble) noble; urgency=high

  * Use rmw_test_fixture to isolate ros2cli tests (#1062 <https://github.com/ros2/ros2cli/issues/1062>)
  * fix setuptools deprecations (#1066 <https://github.com/ros2/ros2cli/issues/1066>)
  * Contributors: Scott K Logan, mosfet80

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-ros2service (0.39.2-1noble) noble; urgency=high

  * Make sure to install py.typed files (#1058 <https://github.com/ros2/ros2cli/issues/1058>)
  * Contributors: Christophe Bedard

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 30 Jun 2025 22:00:00 -0000

ros-rolling-ros2service (0.39.1-1noble) noble; urgency=high

  * Relax the check from exact to partial match. (#1055 <https://github.com/ros2/ros2cli/issues/1055>)
  * Export Typing information (#1041 <https://github.com/ros2/ros2cli/issues/1041>)
  * move QoS methods from ros2topic.api to ros2cli.qos. (#1053 <https://github.com/ros2/ros2cli/issues/1053>)
  * add QoS option to ros2service/ros2action echo commands. (#1036 <https://github.com/ros2/ros2cli/issues/1036>)
  * Contributors: Michael Carlstrom, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 18 Jun 2025 22:00:00 -0000

ros-rolling-ros2service (0.39.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-ros2service (0.38.0-1noble) noble; urgency=high

  * Use get_service in ros2service call (#994 <https://github.com/ros2/ros2cli/issues/994>)
  * Allow zenoh tests to run with multicast (#992 <https://github.com/ros2/ros2cli/issues/992>)
  * Support QoS options for ros2 service call (#966 <https://github.com/ros2/ros2cli/issues/966>)
  * Contributors: Michael Carlstrom, Michael Carroll, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-ros2service (0.37.0-1noble) noble; urgency=high

  * Maintaining consistency of automatically putting time stamps in the service and action calls similiar to publishing in rostopics. (#961 <https://github.com/ros2/ros2cli/issues/961>)
  * Contributors: Sukhvansh Jain, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Sat, 01 Feb 2025 23:00:00 -0000

ros-rolling-ros2service (0.36.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-ros2service (0.36.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-ros2service (0.35.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-rolling-ros2service (0.34.1-1noble) noble; urgency=high

  * Switch to using the rclpy.init context manager. (#920 <https://github.com/ros2/ros2cli/issues/920>)
  * Switch to using rclpy.init context manager. (#918 <https://github.com/ros2/ros2cli/issues/918>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-rolling-ros2service (0.34.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-ros2service (0.33.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-ros2service (0.32.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-rolling-ros2service (0.31.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Mar 2024 23:00:00 -0000

ros-rolling-ros2service (0.31.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-rolling-ros2service (0.31.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-ros2service (0.30.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-ros2service (0.30.0-1noble) noble; urgency=high

  * Add ros2 service info (#771 <https://github.com/ros2/ros2cli/issues/771>)
  * Contributors: Minju, Lee

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-ros2service (0.29.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-ros2service (0.29.0-1noble) noble; urgency=high

  * Load a message/request/goal from standard input (#844 <https://github.com/ros2/ros2cli/issues/844>)
  * Contributors: ymd-stella

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-rolling-ros2service (0.28.0-1noble) noble; urgency=high

  * Fix tests with get_type_description service and param present (#838 <https://github.com/ros2/ros2cli/issues/838>)
  * Contributors: Emerson Knapp

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-ros2service (0.27.0-1noble) noble; urgency=high

  * [service introspection] ros2 service echo (#745 <https://github.com/ros2/ros2cli/issues/745>)
  * Contributors: Brian

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-rolling-ros2service (0.26.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-rolling-ros2service (0.26.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 27 Apr 2023 22:00:00 -0000

ros-rolling-ros2service (0.25.0-1noble) noble; urgency=high

  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-ros2service (0.24.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-rolling-ros2service (0.24.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-ros2service (0.23.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 23:00:00 -0000

ros-rolling-ros2service (0.22.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-ros2service (0.21.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-ros2service (0.20.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-ros2service (0.19.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-ros2service (0.18.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-rolling-ros2service (0.18.2-1noble) noble; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-rolling-ros2service (0.18.1-1noble) noble; urgency=high

  * Also provide --include-hidden-services for ros2 service list verb (#551 <https://github.com/ros2/ros2cli/issues/551>)
  * Contributors: Karsten Knese

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-rolling-ros2service (0.18.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-ros2service (0.17.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-rolling-ros2service (0.17.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-rolling-ros2service (0.16.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-ros2service (0.16.0-1noble) noble; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-ros2service (0.15.0-1noble) noble; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-rolling-ros2service (0.14.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-rolling-ros2service (0.13.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-ros2service (0.12.0-1noble) noble; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Mar 2021 23:00:00 -0000

ros-rolling-ros2service (0.11.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-ros2service (0.10.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-rolling-ros2service (0.10.0-1noble) noble; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Check that passed type is actually a service. (#559 <https://github.com/ros2/ros2cli/issues/559>)
  * Contributors: Claire Wang, Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 01 Nov 2020 23:00:00 -0000

ros-rolling-ros2service (0.9.5-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-rolling-ros2service (0.9.4-1noble) noble; urgency=high

  * Use consistent quotes in help messages. (#517 <https://github.com/ros2/ros2cli/issues/517>)
    Using single quotes inside double quotes is consistent with the other CLI help messages.
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-rolling-ros2service (0.9.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 22:00:00 -0000

ros-rolling-ros2service (0.9.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-rolling-ros2service (0.9.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 May 2020 22:00:00 -0000

ros-rolling-ros2service (0.9.0-1noble) noble; urgency=high

  * Stop using 'node_name' and 'node_namespace' in tests. (#498 <https://github.com/ros2/ros2cli/issues/498>)
    They are both deprecated, and print warnings in CI like:
    Warning: The parameter 'node_name' is deprecated, use 'name' instead
  * Replace deprecated launch_ros usage. (#487 <https://github.com/ros2/ros2cli/issues/487>)
    The Node parameter 'node_executable' has been deprecated and replaced
    with the parameter 'executable'.
  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * Update tests to expect no launch_ros node. (#474 <https://github.com/ros2/ros2cli/issues/474>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions. (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * Used get_available_rmw_implementations from rclpy. (#461 <https://github.com/ros2/ros2cli/issues/461>)
  * Add delay when retrying tests involving the CLI daemon. (#459 <https://github.com/ros2/ros2cli/issues/459>)
    This is to give time for discovery to happen between the daemon node and the test fixture nodes.
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Jacob Perron, Peter Baughman, Shane Loretz, Steven! Ragnarök

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 Apr 2020 22:00:00 -0000

ros-rolling-ros2service (0.8.6-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-rolling-ros2service (0.8.5-1noble) noble; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 Nov 2019 23:00:00 -0000

ros-rolling-ros2service (0.8.4-1noble) noble; urgency=high

  * 0.8.4
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-rolling-ros2service (0.8.3-1noble) noble; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output. (#304 <https://github.com/ros2/ros2cli/issues/304>)
    * Add end-to-end CLI output tests for ros2:
    - ros2action
    - ros2service
    - ros2topic
    - ros2msg
    - ros2srv
    - ros2interface
    - ros2node
    - ros2pkg
  * Move rosidl implementation details to rosidl_runtime_py. (#371 <https://github.com/ros2/ros2cli/issues/371>)
    * Move rosidl implementation details to rosidl_runtime_py
    This resolves several TODOs.
    Here is the PR moving the related functions to their new home: https://github.com/ros2/rosidl_runtime_py/pull/3
    * Remove dependencies on deprecated packages
    * Remove obsolete test
    * Make linters happy :)
  * Contributors: Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-ros2service (0.8.2-1noble) noble; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Oct 2019 22:00:00 -0000

ros-rolling-ros2service (0.8.1-1noble) noble; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-rolling-ros2service (0.8.0-1noble) noble; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Add service call prototype completer. (#300 <https://github.com/ros2/ros2cli/issues/300>)
  * Add 'service find' verb. (#274 <https://github.com/ros2/ros2cli/issues/274>)
    * Add 'service find' verb
    * Add ServiceTypeCompleter
    * Replace ServiceTypeCompleter with service_type_completer
    * Use strings literals
    * Use single quotes
    * Fix import order
  * Add 'service type' verb. (#273 <https://github.com/ros2/ros2cli/issues/273>)
    * Add 'service type' verb
    * Print all types
  * Contributors: Dirk Thomas, Jacob Perron, Jeremie Deray

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-rolling-ros2service (0.7.4-1noble) noble; urgency=high

  * Add support for service type name without 'srv' namespace part. (#247 <https://github.com/ros2/ros2cli/issues/247>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-rolling-ros2service (0.7.3-1noble) noble; urgency=high

  * Use new type identification for service calls. (#242 <https://github.com/ros2/ros2cli/issues/242>)
    * Use new type identification for service calls
    * Address middle_module logic
    * Fix typo
    * Use review suggestions
  * Contributors: Karsten Knese

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-rolling-ros2service (0.7.2-1noble) noble; urgency=high

  * Add xmllint linter test. (#232 <https://github.com/ros2/ros2cli/issues/232>)
    * Add xmllint test to ament_python packages
    * Cover new packages as well
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-rolling-ros2service (0.7.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Apr 2019 22:00:00 -0000

ros-rolling-ros2service (0.7.0-1noble) noble; urgency=high

  * Use migrated message utility functions
    These functions are more generally useful outside of ros2topic and so they have been moved to rosidl_runtime_py.
  * Use safe_load instead of deprecated load. (#212 <https://github.com/ros2/ros2cli/issues/212>)
  * Contributors: Jacob Perron, Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-rolling-ros2service (0.6.3-1noble) noble; urgency=high

  * Consistent node naming. (#158 <https://github.com/ros2/ros2cli/issues/158>)
    * Support for easy integration with ros2 security features by starting CLI nodes with a consistent prefix.
    * Removing unneeded comment
    * Making DirectNode visible (removing hidden node prefix) to have consistent node naming for ros2cli.
    * Start all CLI nodes as hidden.
    * Shortening the default CLI node name prefix from '_ros2cli_node' to '_ros2cli'
    * Importing HIDDEN_NODE_PREFIX from rclpy, renaming CLI_NODE_NAME_PREFIX -> NODE_NAME_PREFIX.
    * Ros2node - Importing HIDDEN_NODE_PREFIX from rclpy
    * Linter fixes.
  * Contributors: AAlon

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Feb 2019 23:00:00 -0000

ros-rolling-ros2service (0.6.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Dec 2018 23:00:00 -0000

ros-rolling-ros2service (0.6.1-1noble) noble; urgency=high

  * 0.6.1
    bump package.xml, setup.py and setup.cfg versions
  * Check in action module if action service. (#163 <https://github.com/ros2/ros2cli/issues/163>)
  * List services symmetric with topics. (#162 <https://github.com/ros2/ros2cli/issues/162>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-rolling-ros2service (0.6.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Nov 2018 23:00:00 -0000

ros-rolling-ros2service (0.5.4-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 Aug 2018 22:00:00 -0000

ros-rolling-ros2service (0.5.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-rolling-ros2service (0.5.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 22:00:00 -0000

ros-rolling-ros2service (0.5.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 10:27:00 -0000

ros-rolling-ros2service (0.5.0-1noble) noble; urgency=high

  * Add missing arg to ros2 service list. (#99 <https://github.com/ros2/ros2cli/issues/99>)
  * Add pytest markers to linter tests
  * Ignore F841 from latest Pyflakes release. (#93 <https://github.com/ros2/ros2cli/issues/93>)
  * ros2 service Use new client api. (#77 <https://github.com/ros2/ros2cli/issues/77>)
    * Use new client api
    * Try_shutdown() -> shutdown()
  * Set zip_safe to avoid warning during installation. (#83 <https://github.com/ros2/ros2cli/issues/83>)
  * Print full help when no command is passed. (#81 <https://github.com/ros2/ros2cli/issues/81>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 10:17:00 -0000

ros-rolling-ros2service (0.4.0-1noble) noble; urgency=high

  * [ros2service] call only once by default. (#67 <https://github.com/ros2/ros2cli/issues/67>)
    * [ros2service] call only once by default
    * Remove once completely
  * [ros2topic] pub: add --repeat. (#66 <https://github.com/ros2/ros2cli/issues/66>)
    * First shot at passing -r argument
    * [ros2topic] add once and rate parameters
    * [ros2service] add once and rate parameters
    * Simplify logic, add sleepd for once publisher and remove argparse
    * Fix spelling
    * Format default the same as argparse does
    * Format default the same as argparse does
    * Move logic to the right function
    * Mimic ros2topic and remove extra logic
    * Consistent with services
  * Merge pull request #64 <https://github.com/ros2/ros2cli/issues/64> from ros2/add_type_completer
    add type completer for 'topic pub' and 'service call'
  * Merge pull request #65 <https://github.com/ros2/ros2cli/issues/65> from ros2/wait_for_service_before_calling
    wait for service before calling it
  * Wait for service before calling it
  * Add type completer for 'topic pub' and 'service call'
  * Remove test_suite, add pytest as test_requires
  * 0.0.3
  * Fix request message population. (#56 <https://github.com/ros2/ros2cli/issues/56>)
    * Use set_msg_fields
    * Remove unused comment
    * Move function and error definition to api module
    * Use message filling method from ros2topic
    * Alphabetical order
  * Implicitly inherit from object. (#45 <https://github.com/ros2/ros2cli/issues/45>)
  * 0.0.2
  * Merge pull request #36 <https://github.com/ros2/ros2cli/issues/36> from ros2/improve_error_message
    better error message
  * Better error message
  * Use yaml for parsing msg and srv values. (#19 <https://github.com/ros2/ros2cli/issues/19>)
  * Merge pull request #15 <https://github.com/ros2/ros2cli/issues/15> from ros2/various_fixes
    various fixes and improvements
  * Various fixes and improvements
  * Refactor get topic names and types. (#4 <https://github.com/ros2/ros2cli/issues/4>)
    * Ros2topic: use rclpy utility
    * Ros2topic: fixup
    * Ros2topic: support multiple types
    * Ros2service: initial commit
    * Ros2topic: support no_demangle
    * Fix include order
    * Missed a commit
    * Ros2service: add pep257 tests
    * Fix echo to support multiple types
    * Improve shutdown behavior of call, add loop option
    * Address comments
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


